package org.commonjava.tensor.discover;

import org.apache.maven.graph.common.ref.ProjectVersionRef;
import org.commonjava.tensor.data.TensorDataException;

public interface ProjectRelationshipDiscoverer
{

    ProjectVersionRef resolveSpecificVersion( ProjectVersionRef ref )
        throws TensorDataException;

    ProjectVersionRef discoverRelationships( ProjectVersionRef projectId, DiscoveryConfig discoveryConfig )
        throws TensorDataException;

}
