package org.commonjava.tensor.event;

import org.apache.maven.graph.common.ref.ProjectVersionRef;
import org.apache.maven.graph.effective.EProjectRelationships;

public class NewRelationshipsEvent
{

    private final EProjectRelationships relationships;

    public NewRelationshipsEvent( final EProjectRelationships relationships )
    {
        this.relationships = relationships;
    }

    public final ProjectVersionRef getRef()
    {
        return relationships.getProjectRef();
    }

    public final EProjectRelationships getRelationships()
    {
        return relationships;
    }

}
