package org.commonjava.tensor.io.json;

import java.lang.reflect.Type;

import org.apache.maven.graph.common.ref.ProjectRef;

import com.google.gson.JsonDeserializationContext;
import com.google.gson.JsonDeserializer;
import com.google.gson.JsonElement;
import com.google.gson.JsonParseException;
import com.google.gson.JsonPrimitive;
import com.google.gson.JsonSerializationContext;
import com.google.gson.JsonSerializer;

public class ProjectRefSer
    implements JsonSerializer<ProjectRef>, JsonDeserializer<ProjectRef>
{

    @Override
    public ProjectRef deserialize( final JsonElement src, final Type type, final JsonDeserializationContext ctx )
        throws JsonParseException
    {
        return JsonUtils.parseProjectRef( src.getAsString() );
    }

    @Override
    public JsonElement serialize( final ProjectRef src, final Type type, final JsonSerializationContext ctx )
    {
        return new JsonPrimitive( JsonUtils.formatRef( src ) );
    }

}
