package org.commonjava.tensor.agg;

import org.apache.maven.graph.effective.filter.ProjectRelationshipFilter;
import org.commonjava.tensor.discover.DiscoveryConfig;

public interface AggregationOptions
{

    ProjectRelationshipFilter getFilter();

    boolean processIncompleteSubgraphs();

    boolean processVariableSubgraphs();

    DiscoveryConfig getDiscoveryConfig();

    boolean isDiscoveryEnabled();

    long getDiscoveryTimeoutMillis();

}
